import java.util.Scanner;
public class Vector
{
  long coordenadaX ;
  long coordenadaY ;
  int contador = 1;
  long norma, r;
  public static void main (String Args[])
  {
    Scanner teclado = new Scanner(System.in);
    System.out.println("Operaciones con vectores en el plano:");
    System.out.println();
  
    int contador = 1;
    while (contador >= 1)
    {
    
    System.out.println("\nVector " + contador);
  
    Vector v1 = new Vector();
    v1.coordenadaX= teclado.nextLong();
    v1.coordenadaY= teclado.nextLong();
    
    
    Vector v2 = new Vector();
    v2.coordenadaX= teclado.nextLong();
    v2.coordenadaY= teclado.nextLong();
    

    Vector v3 = v1.sumar(v2);
    System.out.println("V1 + V2: (x, y) = ");
    imprimirSumaVector();
    
   if (leerVector() == true)
    
      //imprimirVector();
      
   
    if ( coordenadaX == 0 && coordenadaY ==0)
   break;
   
    contador = contador + 1;
    }//FIN WHILE 

  }//  FIN MAIN
  
  public  boolean leerVector()
  {
   if ( coordenadaX != 0 && coordenadaY !=0)
     return true;
   else
     return false;
  }
  
  //public static void imprimirVector()
  {
    
   // System.out.print("V" + contador + ": (" + coordenadaX + ", " + coordenadaY + ");");
 //   System.out.println();
  }
  
  public Vector sumar(Vector otra)
  {
  Vector resultante = new Vector();
  resultante.coordenadaX = this.coordenadaX + coordenadaX;
  resultante.coordenadaY = this.coordenadaY + coordenadaY;
  return resultante;
  }
  
  public void imprimirSumaVector()
  {
  System.out.print("(" + coordenadaX + " ," + coordenadaY + " )"); 
  }
  
  public Vector restar(Vector otra)
  {
  Vector resultante = new Vector();
  resultante.coordenadaX = this.coordenadaX - coordenadaX;
  resultante.coordenadaY = this.coordenadaY - coordenadaY;
  return resultante;
  }
  
  
  public Vector restar2(Vector otra)
  {
  Vector resultante = new Vector();
  resultante.coordenadaX = coordenadaX - this.coordenadaX;
  resultante.coordenadaY = coordenadaY - this.coordenadaY;
  return resultante;
  }
  
  public double calcularNorma()
  {
   return Math.sqrt((coordenadaX*coordenadaX)+(coordenadaY*coordenadaY));
   
  }
  
  public double calcularAngulo()
  {
   return Math.atan2(coordenadaY,coordenadaX);
   
  }
  
  
}//FIN CLASE VECTOR